Subject: Clarification in NSSA

From: Krishna Rao <[email-masked]>
Date: Fri, 27 Jun 2003 06:19:33 -0000

Hi

I am basically testing RFC 3101 NSSA implementation. I find that
routes are missing in the Router (not in NSSA area) but is
conected to the Router in NSSA area through backbone area.

Topology Used in Testing
========================
  |-------------------------------|
  |                               |
  |                               |
  |                               |
R1-------------R2---------------R3
                 |                |
                 |                |
                 |                |
            --------------------------- NSSA area 0.0.0.1
                        |
                        |
                        |
                        R4
                        | area 0.0.0.1
                        |Import External Routes.
                        |

There are 2 areas in this Topology -
NSSA area 0.0.0.1 (R2, R3 and R4)
Remaining all the networks are in backbone area.

R1 is connected to R2 and R3 through backbone area. R2 and R3 are
connected through backbone area.

RouterID of R1 10.0.0.1
RouterID of R2 20.0.0.1
RouterID of R3 30.0.0.1

R3 is elected as Translator. Import external routes at R4. R1
holds the external routes.

Now, stop the router R3. R2 takes over as Translator.

BUT, now R1 doesnot hold the external routes.

I expect the R1 to hold the external routes. But as per RFC 3101
since R2 holds LSA generated by R3 which is of higher RouterID, R2
doesnot generate Type 5 LSAs. Is it correct. If this is the case,
then R1 would never hold the external routes.

Your response on this would be highly appreciated.

Thanks & Regards
Krishna

___________________________________________________
Click below to experience Sooraj Barjatya's latest offering
'Main Prem Ki Diwani Hoon' starring Hrithik Roshan,
Abhishek Bachchan & Kareena Kapoor http://www.mpkdh.com

---

From: "Jeyanath Minto J - CTD, Chennai." <[email-masked]>
Date: Fri, 27 Jun 2003 17:52:49 +0530

hi Krishna,
    R2 maintain a List of this area's Nssa border Routers and ASBR.
Translator is Elected from this List.
    so , when u stopped the R3 , R2 removes the R3 from the List. And R2
will elect itself as a Translator ( because R3 is unreachable ) and
translate type 7 to Type 5.

Cheers
Minto Mascarenhas
**********************************************************************
*  Internet IS for everyone - but it won't be unless WE make it so   *
**********************************************************************

-----Original Message-----
From: Krishna Rao [mailto:[email-masked]]
Sent: Friday, June 27, 2003 11:50 AM
To: [email-masked]
Subject: Clarification in NSSA

Hi

Topology Used in Testing
========================

RouterID of R1 10.0.0.1
RouterID of R2 20.0.0.1
RouterID of R3 30.0.0.1

Thanks & Regards
Krishna

---

From: Vivek Dubey <[email-masked]>
Date: Sat, 28 Jun 2003 08:14:04 -0000

Hi,
The point krishna is trying to make:
1) R3 goes down
2) R2 gets elected as translator
3) But R2 while translating Type 7 to Type 5
    sees functionally equv Type 5 previously
    translated by R3 (before being stopped).
    Note R3 router id is higher.
    So R2 doesn't originate Translated Type 5.
4) So both R2 and R1 hold Type 5 generated by
    R3 before it went down (no flushing was done
    by R3 before going down).
5) Consequently R1 will loose routes to those
    Type 7 networks (calculated using Translated
    Type 5 by R3).
6) But R2 will hold routes as it is directly connected
    to NSSA area and can use Type 7 for getting to those
    networks.

This can happen in real networks.
Probably Pat can clarify how to handle such
scenarios.

thanks,
vivek

---

From: "Jeyanath Minto J - CTD, Chennai." <[email-masked]>
Date: Sat, 28 Jun 2003 18:52:56 +0530

hi vivek,
   In section 3.2  step (2) clearly mention this. R3 already out from the
List of NSSA border Routers and , now R2's router Id is higher than anyone (
Actually R2 alone in that List ). As result, R2 will translate LSAs.

Cheers
Minto Mascarenhas

-----Original Message-----
From: Vivek Dubey [mailto:[email-masked]]
Sent: Saturday, June 28, 2003 1:44 PM
To: [email-masked]
Subject: Re: Clarification in NSSA

Hi,

thanks,
vivek

---

From: Vivek Dubey <[email-masked]>
Date: Mon, 30 Jun 2003 05:25:36 -0000

Hi Minto,
The question here is whether R2 on seeing functionally equv
Type 5 LSA from R3 (translated previously before being
stopped) should originate Type 5 (which is a result
of Type 7 translation).

There is no doubt as far as who is translator, its R2
only.

thanks,
vivek

On Sat, 28 Jun 2003 Jeyanath Minto J - CTD, Chennai. wrote :
> >     R2 maintain a List of this area's Nssa border Routers
>and
> >ASBR.
> >will elect itself as a Translator ( because R3 is unreachable
>)
> >and
> >*  Internet IS for everyone - but it won't be unless WE make
>it
> >so   *
> >since R2 holds LSA generated by R3 which is of higher
>RouterID,
> >R2

---

From: "Jeyanath Minto J - CTD, Chennai." <[email-masked]>
Date: Mon, 30 Jun 2003 11:09:17 +0530

hi vivek ,
      yes, R2 should originate Type 5 (which is a result of Type 7
translation).
Please read  the translation algorithm again (section 3.2 step (2) ).

Cheers
Minto Mascarenhas
-----Original Message-----
From: Vivek Dubey [mailto:[email-masked]]
Sent: Monday, June 30, 2003 10:56 AM
To: [email-masked]
Subject: Re: Clarification in NSSA

Hi Minto,

thanks,
vivek